apiVersion: argoproj.io/v1alpha1
kind: Workflow
metadata:
  generateName: lambda-
  annotations: {pipelines.kubeflow.org/kfp_sdk_version: 1.7.1,
    pipelines.kubeflow.org/pipeline_spec: '{"name": "<lambda>"}'}
  labels: {pipelines.kubeflow.org/kfp_sdk_version: 1.7.1}
spec:
  entrypoint: lambda
  templates:
  - name: lambda
    dag:
      tasks:
      - {name: {{ pipeline_name }}, template: {{ pipeline_name }}}
  - name: {{ pipeline_name }}
    container:
      args: ['cd {{{ workdir }}}  {{{ requirements }}} && {{{ interpreter }}} {{{ mainfile }}}']
      command: [sh, -c]
      env:
      - {name: CREATED_TS, value: "{{{ timestamp }}}" }
      image: {{{ image }}}
      volumeMounts:
      - {mountPath: /home/jovyan, name: share}
      resources:
        requests: {cpu: '{{ cores }}', memory: {{ memory }}G}
    {{#gpu}}
    tolerations:
    - {key: 'gpu_required', Operator: 'Equal', value: 'true', effect: 'NoSchedule'}
    nodeSelector:
      gpu: "true"
    {{/gpu}}
    outputs:
      artifacts:
      #- {name: mlpipeline-metrics, path: /tmp/mlpipeline-metrics.json}
      #- {name: mlpipeline-ui-metadata, path: /tmp/mlpipeline-ui-metadata.json}
     # - {name: main, path: /home/jovyan/main.py}
    volumes:
      - name: share
        persistentVolumeClaim: {claimName: 'pvc-{{ namespace }}'}
    metadata:
      labels:
        pipelines.kubeflow.org/kfp_sdk_version: 1.7.1
        pipelines.kubeflow.org/pipeline-sdk-type: kfp
        pipelines.kubeflow.org/enable_caching: "false"
  arguments:
    parameters: []
  serviceAccountName: pipeline-runner
